server:
  port: 8085
  connection-timeout: 3000

spring:
  application:
    name: transport
  jpa:
    show-sql: false
  cache:
    type: SIMPLE
  datasource:
    # -------------------------1区mysql/2区oracle---------------------------------------
    #    driver-class-name: oracle.jdbc.OracleDriver
    #    url: jdbc:oracle:thin:@123.60.213.70:1521:gdnxfd
    #    username: nxfdprod
    #    password: gdnxfd123
    # ----------------------------------------------------------------
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://123.60.219.66/wisdom_cs?useUnicode=true&characterEncoding=UTF-8
    username: root
    password: 123
    # ----------------------------------------------------------------
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      max-active: 20
      initial-size: 1
      min-idle: 3
      max-wait: 60000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false

knife4j:
  redis:
    # 是否采用json序列化方式，若不采用jackson序列化
    jsonSerialType: 'Fastjson'
    host: localhost
    password: gyee123
    port: 8082
    databases: [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18] # 要使用的库，会根据此处填写的库生成redisTemplate
    timeout: 60s
    lettuce: # lettuce基于netty，线程安全，支持并发
      pool:
        max-active: 50
        max-wait: -1ms
        max-idle: 8
        min-idle: 0
  cache:
    type: Simple
timeseries:
  db-type: redis
#taoscz场站数据 数据连接方式分为两种 JDBC-JNI和JDBC-RESTful
#JDBC-JNI方式驱动为com.taosdata.jdbc.TSDBDriver 端口为6030
#JDBC-RESTful方式驱动为com.taosdata.jdbc.rs.RestfulDriver 端口为6041
taoscz:
  server_ip: 123.60.219.66
  server_port: 6041
  db_name: by_fdc
  user_name: root
  password: taosdata
  pool_size: 10
  max_pool_size: 100
  driver_type: com.taosdata.jdbc.rs.RestfulDriver

#是否缓存所有风机测点
isLoadAllTag: true






